package com.seatel.mobilehall.ui.yes_member.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.yes_member.model.RewardModel

interface RewardInteractor {
    interface View {
        fun responseRewardSucceed(rewardList: ArrayList<RewardModel>)
        fun responseRewardFail(error: VolleyError)
    }

    interface Presenter {
        fun getReward(phoneNumber: String)
    }

}